<%= form_with(model: paper) do |form| %>
  <% if paper.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(paper.errors.count, "error") %> prohibited this paper from being saved:</h2>
      <ul>
        <% paper.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>
  <div class="form-group col-md-4">
    <div class="form-label">Paper details</div>
    <div class="field form-floating mb-3">
      <%= form.text_field :title, class: "form-control", placeholder: :title %>
      <%= form.label :title %>
    </div>
    <div class="field form-floating mb-3">
      <%= form.text_area :abstract, id: :abstract, class: "form-control", placeholder: :abstract %>
      <%= form.label :abstract %>
    </div>
    <div class="field form-floating mb-3">
      <%= form.text_field :pdf_link, class: "form-control", placeholder: "Paper URL" %>
      <%= form.label :pdf_link %>
    </div>
    <div class="field">
      <%= form.number_field :user_id, value: current_user.id, type: :hidden %>
    </div>
    <div class="actions">
      <%= form.submit "Submit Paper", class: "btn btn-success btn-lg" %>
    </div>
  </div>
<% end %>
